package com.ruoyi.biemo.business.domain.event;

import com.ruoyi.biemo.business.domain.DocInfo;
import org.springframework.context.ApplicationEvent;

import java.util.ArrayList;
import java.util.List;

/**
 * @author
 * @date 2021-03-19 17:13
 */
public class DocInfoSaveEvent extends ApplicationEvent {

    private List<DocInfo> Infos;

    public DocInfoSaveEvent(Object source, DocInfo info) {
        super(source);
        this.Infos=new ArrayList<>(1);
        this.Infos.add(info);
    }

    public DocInfoSaveEvent(Object source, List<DocInfo> Infos) {
        super(source);
        this.Infos=Infos;
    }

    public List<DocInfo> getInfos() {
        return Infos;
    }

    public void setInfos(List<DocInfo> infos) {
        Infos = infos;
    }
}
